#pragma once
#include "Entity.h"
#define CS_POTTEDPLANT_CACTUS_CREATENAME L"CS_pottedplant_cactus"
class CS_PottedPlant_Cactus :
    public Entity
{
public:
    CS_PottedPlant_Cactus();
    void Step() override;
    void SetState(int stateID, int lr) override;
    //¶¯»­
    int wink_counter = 0;
};

std::shared_ptr<Entity> CreateCS_PottedPlant_Cactus();